> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quality assurance settings



## OpenAPI

````yaml /openapi/phrase-tms-v1.json get /api2/v1/projects/{projectUid}/qaSettings
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '1'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: XML Assistant
paths:
  /api2/v1/projects/{projectUid}/qaSettings:
    get:
      tags:
        - Project
      summary: Get quality assurance settings
      operationId: getProjectQASettings
      parameters:
        - name: projectUid
          in: path
          description: UID of the project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QASettingsDtoV1'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
      deprecated: true
components:
  schemas:
    QASettingsDtoV1:
      type: object
      properties:
        emptyPairTags:
          type: boolean
        emptyTagContent:
          type: boolean
        emptyTranslation:
          type: boolean
        excludeLockedSegments:
          type: boolean
        extraNumbers:
          type: boolean
        forbiddenStrings:
          $ref: '#/components/schemas/QASettingsDtoForbiddenStringsDtoV1'
        forbiddenTerms:
          type: boolean
        formatting:
          type: boolean
        fuzzyInconsistency:
          type: boolean
        ignoreInAllWorkflowSteps:
          type: boolean
        ignoreNotApprovedTerms:
          type: boolean
        inconsistentTagContent:
          type: boolean
        inconsistentTranslation:
          type: boolean
        joinTags:
          type: boolean
        leadingAndTrailingSpaces:
          type: boolean
        missingNonTranslatableAnnotation:
          type: boolean
        missingNumbers:
          type: boolean
        moravia:
          $ref: '#/components/schemas/MoraviaQADtoV1'
        multipleSpaces:
          type: boolean
        nestedTags:
          type: boolean
        newerAtPrecedingWorkflowStep:
          type: boolean
        regexp:
          $ref: '#/components/schemas/RegexpCheckDtoV1'
        repeatedWords:
          type: boolean
        segmentNotConfirmed:
          type: boolean
        spellCheck:
          type: boolean
        strictJobStatus:
          type: boolean
        targetLength:
          $ref: '#/components/schemas/QASettingsDtoTargetLengthDtoV1'
        targetLengthPerSegment:
          type: boolean
        targetLengthPercent:
          $ref: '#/components/schemas/QASettingsDtoTargetLengthPercentDtoV1'
        targetSourceIdentical:
          type: boolean
        terminology:
          type: boolean
        trailingPunctuation:
          type: boolean
        trailingSpace:
          type: boolean
        unmodifiedFuzzyTranslation:
          type: boolean
        unmodifiedFuzzyTranslationMTNT:
          type: boolean
        unmodifiedFuzzyTranslationTM:
          type: boolean
        unresolvedComment:
          type: boolean
        xliffTags:
          type: boolean
    QASettingsDtoForbiddenStringsDtoV1:
      type: object
      properties:
        enabled:
          type: boolean
        list:
          type: array
          items:
            type: string
    MoraviaQADtoV1:
      type: object
      properties:
        enabled:
          type: boolean
          description: 'Default: false'
        profile:
          type: string
    RegexpCheckDtoV1:
      type: object
      properties:
        rules:
          type: array
          items:
            $ref: '#/components/schemas/RegexpCheckRuleDtoV1'
    QASettingsDtoTargetLengthDtoV1:
      type: object
      properties:
        enabled:
          type: boolean
        max:
          type: integer
          format: int32
    QASettingsDtoTargetLengthPercentDtoV1:
      type: object
      properties:
        enabled:
          type: boolean
        max:
          type: number
          format: double
    RegexpCheckRuleDtoV1:
      type: object
      properties:
        description:
          type: string
        id:
          type: string
        ignorable:
          type: boolean
        instant:
          type: boolean
        sourceRegexp:
          type: string
        targetRegexp:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````